Loading...
Searching...
No Matches
BALL::MMFF94ChargeProcessor Class Reference
Molecular Modeling » Molecular Mechanics » MMFF94 Force Field.

`#include <BALL/MOLMEC/MMFF94/MMFF94Processors.h>`

Inheritance diagram for BALL::MMFF94ChargeProcessor:

## Public Member Functions

| MMFF94ChargeProcessor ()
| MMFF94ChargeProcessor (const MMFF94ChargeProcessor &cp)
virtual | ~MMFF94ChargeProcessor ()
const MMFF94ChargeProcessor & | operator= (const MMFF94ChargeProcessor &cp)
virtual void | clear ()
virtual bool | start ()
virtual bool | finish ()
virtual Processor::Result | operator() (Atom &atom)
void | assignFormalCharge (Atom &atom)
const HashSet< Atom * > & | getUnassignedAtoms ()
void | setESParameters (const MMFF94ESParameters &es)
void | setup (const String &filename)
void | setAromaticRings (const vector< HashSet< Atom * > > &rings)
Public Member Functions inherited from BALL::UnaryProcessor< Atom >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()

## Protected Member Functions

void | assignPartialCharges_ ()

## Protected Attributes

vector< Atom * > | atoms_
HashSet< Atom * > | unassigned_atoms_
const MMFF94ESParameters * | es_parameters_
HashMap< String, float > | types_to_charges_
HashSet< String > | rule_types_
vector< HashSet< Atom * > > | aromatic_rings_

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer

## Detailed Description

Assign MMFF94 Charges

Definition at line 96 of file MMFF94Processors.h.

## Constructor & Destructor Documentation

## MMFF94ChargeProcessor() [1/2]

BALL::MMFF94ChargeProcessor::MMFF94ChargeProcessor | ( |  | ) |

## MMFF94ChargeProcessor() [2/2]

BALL::MMFF94ChargeProcessor::MMFF94ChargeProcessor | ( | const MMFF94ChargeProcessor & | cp | ) |

## ~MMFF94ChargeProcessor()

virtual BALL::MMFF94ChargeProcessor::~MMFF94ChargeProcessor | ( |  | ) |

inline virtual

Definition at line 110 of file MMFF94Processors.h.

## Member Function Documentation

## assignFormalCharge()

void BALL::MMFF94ChargeProcessor::assignFormalCharge | ( | Atom & | atom | ) |

## assignPartialCharges_()

void BALL::MMFF94ChargeProcessor::assignPartialCharges_ | ( |  | ) |

protected

## clear()

virtual void BALL::MMFF94ChargeProcessor::clear | ( |  | ) |

virtual

## finish()

virtual bool BALL::MMFF94ChargeProcessor::finish | ( |  | ) |

virtual

finish method

Reimplemented from BALL::UnaryProcessor< Atom >.

## getUnassignedAtoms()

const HashSet< Atom * > & BALL::MMFF94ChargeProcessor::getUnassignedAtoms | ( |  | ) |

inline

Definition at line 133 of file MMFF94Processors.h.

## operator()()

virtual Processor::Result BALL::MMFF94ChargeProcessor::operator() | ( | Atom & |  | ) |

virtual

operator ()

Reimplemented from BALL::UnaryProcessor< Atom >.

## operator=()

const MMFF94ChargeProcessor & BALL::MMFF94ChargeProcessor::operator= | ( | const MMFF94ChargeProcessor & | cp | ) |

## setAromaticRings()

void BALL::MMFF94ChargeProcessor::setAromaticRings | ( | const vector< HashSet< Atom * > > & | rings | ) |

inline

Definition at line 142 of file MMFF94Processors.h.

## setESParameters()

void BALL::MMFF94ChargeProcessor::setESParameters | ( | const MMFF94ESParameters & | es | ) |

inline

Definition at line 136 of file MMFF94Processors.h.

## setup()

void BALL::MMFF94ChargeProcessor::setup | ( | const String & | filename | ) |

## start()

virtual bool BALL::MMFF94ChargeProcessor::start | ( |  | ) |

virtual

start method

Reimplemented from BALL::UnaryProcessor< Atom >.

## Member Data Documentation

## aromatic_rings_

vector<HashSet<Atom*> > BALL::MMFF94ChargeProcessor::aromatic_rings_

protected

Definition at line 153 of file MMFF94Processors.h.

## atoms_

vector<Atom*> BALL::MMFF94ChargeProcessor::atoms_

protected

Definition at line 148 of file MMFF94Processors.h.

## es_parameters_

const MMFF94ESParameters* BALL::MMFF94ChargeProcessor::es_parameters_

protected

Definition at line 150 of file MMFF94Processors.h.

## rule_types_

HashSet<String> BALL::MMFF94ChargeProcessor::rule_types_

protected

Definition at line 152 of file MMFF94Processors.h.

## types_to_charges_

HashMap<String, float> BALL::MMFF94ChargeProcessor::types_to_charges_

protected

Definition at line 151 of file MMFF94Processors.h.

## unassigned_atoms_

HashSet<Atom*> BALL::MMFF94ChargeProcessor::unassigned_atoms_

protected

Definition at line 149 of file MMFF94Processors.h.